Subject: Packages Installed With GNU Guix not finding Correct Glibc
From: "Frederick M. Muriithi" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sat, 18 Jul 2020 06:04:55 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

After running 'guix pull' followed by 'guix package -u', the UI text for the menus on 'drracket', and 'emacs' started displaying like it was missing the correct encoding, essentially, boxes with four numbers each (see attached image of drracket.).

I have done the troubleshooting, and from what I can tell, it **might** have to do something to do with the change of the 'glibc-utf8-locales' and 'glibc-locales' from version 2.29 to version 2.31.

I tried installing the older version (2.29) in addition to the 2.31, but that did not seem to fix the issue.

The issue can be observed between generations 22 and 23 in the attached generations.txt file

I tried to replicate that by installing the older versions of both packages in generations 31 and 32, but that does not seem to fix the issue, which tells me I am missing something.

I went on the IRC channel to ask about, and was asked to run 'sudo rm -rf /var/cache/fontconfig; fc-cache -rv' which I did, but that did not resolve the issue either.

I've also tried removing most packages with GNU Guix and reinstalling, but the issue persists.

All this running on Ubuntu 20.04:

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 20.04 LTS
Release: 20.04
Codename: focal

with Guix version:

$ guix --version
guix (GNU Guix) febd1fcfa0b3cd34980ab5117172764fab56b853
Copyright (C) 2020 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

I'd appreciate some assistance to help me fix this.